- apt_key:
    id: 2582E0C5
    url: https://repos.influxdata.com/influxdb.key
    state: present

- apt_repository:
    repo: deb https://repos.influxdata.com/{{ ansible_lsb.id|lower }} {{ ansible_lsb.codename }} stable
    filename: influxdb

- apt:
    name: influxdb
    update_cache: yes

- name: set config
  template:
    src: influxdb.conf.j2
    dest: /etc/influxdb/influxdb.conf
    owner: root
    group: root
    mode: 0644

- service:
    name: influxdb
    state: started
